package xyz.minecommune.micomc;

import net.fabricmc.fabric.api.command.v2.CommandRegistrationCallback;
import net.minecraft.server.command.CommandManager;
import net.minecraft.text.Text;
import org.quiltmc.loader.api.ModContainer;
import org.quiltmc.qsl.base.api.entrypoint.ModInitializer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MicoMc implements ModInitializer {

	// This logger is used to write text to the console and the log file.
	// It is considered best practice to use your mod name as the logger's name.
	// That way, it's clear which mod wrote info, warnings, and errors.
	public static final Logger LOGGER = LoggerFactory.getLogger("MicoMc");

	@Override
	public void onInitialize(ModContainer mod) {
		LOGGER.info("Hello Quilt world from {}!", mod.metadata().name());
		CommandRegistrationCallback.EVENT.register(
			(dispatcher, registryAccess, enviroment) ->
				dispatcher.register(
					CommandManager.literal("foo").executes(context -> {
						context
							.getSource()
							.sendFeedback(() -> Text.literal("hii"), false);
						return 1;
					})
				)
		);
	}
}
